descript=This slideshow shows you the use of the Glide 'n Go pickup truck lift seat for extended cab pickups in a Ford F series truck with suicide doors.  You can see a video of this process at http://youtu.be/o0bu-O0mMRM   Other excitng mobility solutions from Access Unlimited are available on our extensive YouTube Channel at http://www.youtube.com/accessun  For more information please contact us at http://www.accessunlimited.com/html/contact.html (this is quickest!!) check out our website at http://www.accessunlimited.com, or give us a call at +1-607-669-4822 days US EST or evenings 5-10 pm US EST at +1-607-296-0223.  If you would like to keep up to date with what our company is working on and our philosophy, please "like" us on Facebook at http://www.facebook.com/accessun  We are also on Twitter at /accessun \

ordering=custom
